:root {
    --bg: #03443c;
    --cl: #386861;
    --cl2: #ccae8b;
    --bl: #000;
    --ff: #fff;
    --cc: #ccc;
}

*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    outline: 0;
    border: none;
    text-decoration: none !important;
    list-style: none;
    box-sizing: border-box;
    transition: all 0.2s ease-in-out;
}

::-webkit-scrollbar {
    width: 9px;
}

::-webkit-scrollbar-track {
    background: var(--cl);
}

::-webkit-scrollbar-thumb {
    background: var(--cl2);
    border-radius: 20px;
}

img,
video {
    width: 100%;
}

body {
    overflow: hidden;
    overflow-y: auto;
    font-family: "Cairo", sans-serif;
    background: var(--bg);
}

.container {
    max-width: 1280px;
    margin: auto;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

.alert {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 9999999;
    max-width: 280px;
}

.hasVerifiedEmail {
    width: 100%;
    height: 100%;
    min-height: 80vh;
    max-width: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: auto;
    text-align: center;
    gap: 10px;
    color: var(--bs-danger);
    font-weight: bold;
}

textarea {
    resize: none;
    height: 150px;
}

.table-active {
    --bs-table-color-state: var(--ff);
    --bs-table-bg-state: var(--bg);
}

.table {
    --bs-table-border-color: var(--cl);
    --bs-table-striped-bg: var(--cl);
    --bs-table-active-bg: var(--cl);
    --bs-table-hover-bg: var(--cl);
}

.text-custom {
    color: var(--cl2);
}

.login {
    width: 100%;
    max-width: 500px;
    margin: auto;
    padding: 10px;

    .click_eye {
        cursor: pointer;
    }

    .btn {
        background: var(--cl);
        color: var(--ff);

        &:hover {
            opacity: 0.7 !important;
        }
    }
}

.main {
    max-width: 1440px;
    margin: auto;
}

body.lang_ar .login {
    direction: rtl;
}

.section_main {
    min-height: 75vh;
    display: flex;
}

.img_blog {
    position: relative;
    width: 100px;
    height: 100px;
    overflow: hidden;
    border-radius: 50%;
}

.img_blog input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 0;
    cursor: pointer;
}

.img_blog input[type="file"] {
    border: 0;
    border-radius: 0;
    padding: 0;
    margin-top: 0;
}

.img_blog img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    padding: 5px;
    border-radius: 50%;
}

.img_blog .upload {
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 30px;
    height: 30px;
    background: var(--cl);
    color: #fff;
    border-radius: 50%;
    padding: 5px;
    cursor: pointer;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.img_blog .upload:hover {
    opacity: 0.7;
}

.navbar_logo_site {
    max-width: 120px;
}

nav .navbar-toggler hr {
    border-color: var(--cl2);
    opacity: 1;
}

nav.bg-dark {
    background-color: var(--bg) !important;
}

.bg-custom {
    background: var(--bg);
}

.bg-custom-cl2 {
    background: var(--cl2);
    color: var(--ff);

    &:hover {
        background: var(--cl2);
        opacity: 0.7;
    }
}

.header {
    max-height: 869px !important;
    overflow: hidden;
    position: relative;
    z-index: 1;
}

.header .header-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("../images/header.webp") no-repeat center center;
    background-size: cover;
    z-index: -1;
    transition: transform 0.3s ease;
}

body.lang_en .header .header-bg {
    transform: rotateY(180deg);
}

.header:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("../images/header_after.webp") no-repeat;
    background-size: cover;
    background-position: center;
    z-index: -1;
    opacity: 0.5;
}

a.nav-link.active {
    color: var(--cl2) !important;
}

nav.bg-transparent {
    padding-top: 40px;
}

nav .offcanvas {
    background-color: var(--bg) !important;
    color: var(--ff);
}

body.lang_en nav .offcanvas {
    direction: ltr;
}

body.lang_ar nav .offcanvas {
    direction: rtl;
}

body.lang_ar nav .offcanvas .offcanvas-header {
    direction: ltr;
}

body.lang_ar .logoheader.justify-content-sm-end {
    justify-content: flex-start !important;
}

.logoheader img {
    max-width: 410px;
    margin: auto;
    display: block;
}

.logoheader hr {
    border-color: var(--cl2);
}

.logoheader span {
    font-size: 2.5em;
}

.about {
    max-height: 847px;
    overflow: hidden;
    z-index: 1;
}

.video,
.vision_mission,
.what_sets,
.partners,
.innovative,
.teams,
.contact,
.services {
    overflow: hidden;
    z-index: 1;
}

.video::after,
.innovative::after,
.what_sets::after,
.vision_mission::after,
.partners::after,
.teams::after,
.services::after,
.contact::after,
.about::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("../images/header_after.webp") no-repeat;
    background-size: cover;
    background-position: bottom right;
    z-index: -1;
}

.contact::after {
    opacity: 0.9;
}

.contact::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("../images/contact.webp") no-repeat;
    background-size: cover;
    background-position: center;
    z-index: -2;
}

.about .rounded-image {
    width: 60%;
    max-width: 854px;
    margin: auto;
}

.title-section {
    font-size: 36px;
    position: relative;
    padding-bottom: 10px;
    display: inline-block;
    padding-left: 24px;
}

body.lang_ar .title-section {
    padding-left: 0;
    padding-right: 24px;
}

.title-section::after {
    content: "";
    width: 95%;
    height: 1.5px;
    background-color: var(--cl2);
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

.title-section::before {
    content: "";
    position: absolute;
    top: 12px;
    left: 0;
    width: 18px;
    height: 18px;
    background-color: var(--cl2);
    border-radius: 0 0 0 100%;
    transform: rotate(-180deg);
}

body.lang_ar .title-section::before {
    left: auto;
    right: 0;
}

.about .container {
    max-width: 1162px !important;
}

.about .list-unstyled {
    max-width: 1080px;
}

.section-text li {
    margin-bottom: 10px;
    line-height: 1.5;
    position: relative;
    font-size: 24px;
}

.custom-list-style {
    padding-left: 14px;
}

body.lang_ar .custom-list-style {
    padding-left: 0;
    padding-right: 14px;
}

.custom-list-style::before {
    content: "";
    position: absolute;
    top: 12px;
    left: 0;
    width: 9px;
    height: 9px;
    background-color: var(--cl2);
    border-radius: 0 0 0 100%;
    transform: rotate(-180deg);
}

body.lang_ar .custom-list-style::before {
    left: auto;
    right: 0;
}

.border-custom {
    border-color: var(--cl2) !important;
}

.div_navbar_dir {
    direction: ltr;
}

.service-box {
    width: 85%;
    max-width: 540px;
    margin: auto;
}

.service-box h3 {
    color: var(--cl2);
    font-weight: 700;
    font-size: 20px;
}
.service-box p {
    font-weight: 600;
    font-size: 20px;
    text-align: justify;
}

body.lang_ar .service-box.pt-4 {
    padding-top: 3rem !important;
}

.hr_1 {
    max-width: 40%;
}

.img_vision_mission {
    background: url("../images/vision_mission/vision_mission.webp") no-repeat;
    background-size: cover;
    background-position: center;
    transform: translate(25%, -20%) rotateY(180deg);
    min-height: 675px;
}

body.lang_ar .img_vision_mission {
    transform: translate(-25%, -20%);
}

.vision-card {
    background: linear-gradient(
        0deg,
        rgba(2, 67, 59, 0) -38.2%,
        rgba(2, 67, 59, 0.19) 33.07%,
        rgba(2, 67, 59, 0.68) 163.22%,
        #03443c 234.49%
    );
    border-radius: 20px;
    color: #fff;
}

.icon-wrap {
    position: relative;
    min-width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.icon-wrap::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 50%;
    border-top: 1px solid var(--cl2);
    border-left: 1px solid var(--cl2);
    border-right: 1px solid var(--cl2);
    border-bottom: none;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    box-sizing: border-box;
}

.icon-img,
.icon-wrap .icon-bi {
    width: 90%;
    height: 90%;
    margin: auto;
}

.icon-wrap .icon-bi {
    background: var(--cl2);
    border-radius: 50%;
    font-size: 24px;
}

.content-icon::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 50%;
    height: calc(100% - 30px);
    border-bottom: 1px solid var(--cl2);
    border-left: 1px solid var(--cl2);
    border-bottom-left-radius: 30px;
    background: transparent;
}

body.lang_ar .content-icon::after {
    border-left: none;
    border-bottom-left-radius: 0;
    border-right: 1px solid var(--cl2);
    border-bottom-right-radius: 30px;
    left: auto;
    right: 0;
}

.bottom-border {
    content: "";
    display: block;
    height: 1px;
    width: 100%;
    background-color: var(--cl2);
    margin-top: 4px;
    border-radius: 2px;
}

.title-line {
    font-weight: 700;
    font-size: 24px;
}
.content-wrap p {
    font-weight: 600;
    font-size: 20px;
}

.what_sets .custom-list-style {
    font-size: 24px;
    line-height: 45px;
}

.div_innovative {
    z-index: 1;
}

.contact .vision-card {
    background: transparent;
}
.contact .vision_map {
    background: linear-gradient(
        0deg,
        rgba(2, 67, 59, 0) -44.2%,
        rgba(2, 67, 59, 0.08) -38%,
        rgba(2, 67, 59, 0.48) -13.21%,
        rgba(2, 67, 59, 0.77) 11.58%,
        rgba(2, 67, 59, 0.94) 39.47%,
        #03443c 67.36%
    );
    border-radius: 43px;
    aspect-ratio: 1/1;
}

.contact .content-icon::after {
    width: 100%;
}

.contact .vision_map iframe {
    border-radius: 43px;
}

.swiper-container {
    width: 95%;
    height: 100%;
    margin: auto;
    overflow: hidden;
}

.swiper-pagination-bullet {
    margin: 0 !important;
    background: var(--ff) !important;
    opacity: 1 !important;
    width: 7px !important;
    height: 7px !important;
}

.swiper-pagination-bullet-active {
    background: var(--cl2) !important;
}

.swiper-button-next {
    right: 0 !important;
}

.swiper-button-prev {
    left: 0 !important;
}

.swiper-button-next:after,
.swiper-button-prev:after {
    font-size: 20px !important;
    color: var(--cl2) !important;
}

@media (min-width: 768px) {
    .services .custom-list-style::before {
        top: 6px !important;
        width: 11px !important;
        height: 11px !important;
    }
    body.lang_en .vision_mission .container {
        margin-right: 0;
        padding-right: 0;
    }
    body.lang_ar .vision_mission .container {
        margin-left: 0;
        padding-left: 0;
    }
    .div_vision_mission {
        max-height: 550px;
    }
    .div_innovative_img {
        position: absolute;
        max-width: 690px;
        top: 50%;
        right: 0;
        transform: translateY(-50%);
        z-index: -1;
    }
}

@media (max-width: 768px) {
    .div_navbar_dir {
        direction: rtl;
    }

    a.navbar_logo_site_sm {
        max-width: 70px;
    }
    nav {
        direction: rtl;
    }
    nav.bg-transparent {
        padding-top: 10px;
    }

    .header {
        max-height: 812px !important;
    }

    .logoheader img {
        max-width: 270px;
    }

    body.lang_en .logoheader span {
        font-size: 1.5em;
    }

    body.lang_ar .logoheader span {
        font-size: 2em;
    }

    .logoheader span.span_2 {
        margin-bottom: 5em;
    }
    .title-section {
        font-size: 16px;
        padding-bottom: 6px;
        padding-left: 13px;
    }
    body.lang_ar .title-section {
        padding-left: 0;
        padding-right: 13px;
    }
    .section-text li {
        line-height: 1.3;
        font-size: 14px;
    }
    .about {
        max-height: 716px;
    }
    .about .container {
        max-width: 320px !important;
    }
    .about .rounded-image {
        width: 100%;
        max-width: 346px;
    }
    .title-section::before {
        top: 5px;
        left: 0;
        width: 9px;
        height: 9px;
        border-radius: 0 0 100% 0;
    }
    .custom-list-style {
        padding-left: 8px;
    }

    body.lang_ar .custom-list-style {
        padding-left: 0;
        padding-right: 8px;
    }

    .custom-list-style::before {
        top: 6px;
        left: 0;
        width: 4px;
        height: 4px;
        border-radius: 0 0 100% 0;
    }
    body.lang_ar .custom-list-style::before {
        left: auto;
        right: 0;
    }

    body.lang_ar .title-section::before {
        left: auto;
        right: 0;
    }
    .service-box h3 {
        font-size: 13px;
    }

    .service-box p {
        font-size: 11px;
    }

    .img_vision_mission {
        transform: translateY(0) rotate(-90deg) !important;
        min-height: 475px;
        overflow: hidden;
    }

    .icon-wrap {
        min-width: 40px;
        height: 40px;
    }
    .content-icon::after {
        height: calc(100% - 20px);
        border-bottom-left-radius: 20px;
    }

    body.lang_ar .content-icon::after {
        border-bottom-right-radius: 20px;
    }

    .title-line {
        font-size: 14px;
    }

    .content-wrap p {
        font-size: 14px;
    }

    .div_vision_mission {
        max-height: 830px;
    }
    .what_sets .custom-list-style {
        font-size: 14px;
        line-height: 18px;
    }
    .what_sets img {
        max-width: 155px;
        margin: 10px auto;
    }

    .what_sets_text {
        padding: 10px;
        z-index: 1;
    }

    .what_sets_text::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: calc(100% - 10px);
        height: calc(100% - 10px);
        background: linear-gradient(
            90deg,
            rgba(2, 67, 59, 0) 21.83%,
            rgba(2, 67, 59, 0.19) 36.04%,
            rgba(2, 67, 59, 0.68) 61.98%,
            #03443c 76.19%
        );
        border-radius: 15px;
        z-index: -1;
        transform: rotateY(180deg);
    }
    body.lang_ar .what_sets_text::after {
        left: auto;
        right: 0;
        transform: none;
    }

    .what_sets_text_2 {
        order: 1;
    }
    .div_innovative_img {
        max-width: 152px;
        margin: auto;
    }

    .icon-wrap .icon-bi {
        font-size: 14px;
    }
    .contact .title-line h5 {
        font-size: 11px;
    }
    .swiper-container {
        width: 100%;
    }
    .swiper-pagination {
        bottom: 10% !important;
    }
    .swiper-pagination-bullet {
        width: 4px !important;
        height: 4px !important;
    }
}
